GROUPMEMS(8)

NOME
groupmems - membri amministratori del gruppo primario dell'utente

SINOSSI

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

DESCRIZIONE

The groupmems command allows a user to administer their own group membership list without the requirement of superuser privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the superuser, as administrator, can use groupmems to alter the memberships of other groups.

OPZIONI

The options which apply to the groupmems command are:

-a, --add user_name
    Add a user to the group membership list.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-d, --delete user_name
    Cancella un utente dall'elenco degli utenti del gruppo.

    If the /etc/gshadow file exist, the user will be removed from the list of members and administrators of the group.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-g, --group group_name
    Il super utente può specificare quale elenco di membri del gruppo modificare.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-l, --list
    Elenca tutti i membri del gruppo.

-p, --purge
    Elimina tutti gli utenti dalla lista dei membri del gruppo.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

CONFIGURAZIONE

In this operating system the groupmems executable is not setuid and regular users cannot use it to manipulate the membership of their own group.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    informazioni sicure sugli account di gruppo

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).